#!/usr/bin/python
import os
try:
  import Tkinter as Tk
  TkAvailable = True
except ImportError, e:
  TkAvailable = False
import unittest

from testIPlot import testIPlot

from compClust.iplot.IPlotTk import *

class testIPlotTk(testIPlot):
  def setUp(self):
    testIPlot.setUp(self)
    self.dataset_plot = IPlot
    self.trajectory_summary_plot = TrajectorySummary
    self.confusion_matrix_plot = ConfusionMatrixSummary
    self.roc_plot = ROCPlot
    self.pca_plot = PCAPlot
    self.pca_ginsu = PCAGinsu
    
def suite():
  if TkAvailable:
    return unittest.makeSuite(testIPlotTk)
  else:
    print "Tk not available not running tk tests in testIPlotTk"
    return None

if __name__ == "__main__":
  suite = unittest.TestSuite()
  suite.addTest(unittest.makeSuite(testIPlotTk))
  #suite.addTest(testIPlotTk("testPCAGinsu"))
  unittest.TextTestRunner(verbosity=2).run(suite)

  Tk.mainloop()
